#pragma once

#if defined(__cplusplus)
extern "C" {
#endif

#include <lektor/common.h>
#include <lektor/database.h>

/* Structure to represent a logfile. */
struct lkt_logfile;

/* Create a logfile structure, the db must contains the keys/values needed in
 * the 'log' section, otherwise the program will abort! If the logfile
 * representation on the disk could not be created/read, the program will also
 * abort. You can always use the pointer returned by this function without
 * checking against `NULL` */
struct lkt_logfile *lkt_logfile_new(lkt_db *);

/* Write a file in the config file represented by `logfile`. */
void lkt_logfile_write(struct lkt_logfile *, const char *);
void lkt_logfile_vfwrite(struct lkt_logfile *, const char *, va_list ap);

/* Free a logfile structure, don't use the pointer afterwards. */
void lkt_logfile_free(struct lkt_logfile *);

#if defined(__cplusplus)
}
#endif
